.register-content{
    @include flex(row, center);
    margin: 4rem 0;

    .user-info{
        width:100%;
        max-width:450px;
        margin:1rem;
        padding:1rem $content-padding;
        border:1px solid $black;

        h2{
            font-size: 2.6rem;
            color: #333;
        }

        .register-form {
            padding: 1rem 0;
        }

        .field-row {
            @include flex($dir: column);
            margin-bottom: 0;
            margin-left: -1.5rem;
            margin-right: -1.5rem;

            @include sm{
                flex-direction: column;
            }

            .__register-input{
                width:100%;
                padding: 0 1rem;

                padding-right: 1.5rem;
                padding-left: 1.5rem;

                margin-bottom:1rem;

                @include sm{
                    width: 100%;
                }

                &.full{
                    width: 100%;
                }

                .checkbox label{
                    font-size: 1.2rem;
                }

                &-flex{
                    @include flex();

                    .radio-container{
                        @include flex(row, flex-start, center);
                        margin: 1rem 0;

                        input[type=radio], input[type=checkbox] {
                            margin: 0 0.5rem 0 0; 
                        }
                        span{
                            margin-right: 1rem;
                            font-size: 1.2rem;
                        }
                    }

                    &__item{
                        &:first-child{
                            width: 25%;
                        }
                        &:last-child{
                            width: 75%;
                        }
                    }
                }
            }

            .__form-input{
                
                border: 0.1rem solid #000;

                background-color: $white;

                width: 100%;

                padding: 0.5rem;
                
                &--invalid{
                    border-color:$warning;
                }
                
                /*&-radio{
                    width: 25px;
                    height: 25px;
                    border: 1px solid $black-abs;
                    background-color: $white;
                    border-radius: 0;
                }*/
            }

            label{
                color: $black;

                font-size: 1.4rem;
                line-height: 2.2rem;
                
                margin-bottom: 0.5rem;

                font-weight: 600 !important;

            }
            
        }

        .__register-button{
            background-color: $black;
            color: $white;

            font-size: 1.4rem;
            padding: 1rem 2rem;
            line-height: 1.6rem;

            text-transform: uppercase !important;
            font-weight: normal !important;
            
            display: inline-block;
            
            border: none;

            text-align: center;
            
            transition: all .3s ease;
            
            @include state{
                background-color: #000;
            }
        }

        @include sm(){
            /*padding: 0;*/
        }
    }

    .button-register{
        width: 100%;
    }

    .social-auth-buttons {
        padding: 1.5rem 0 2.5rem 0;
        margin-top: 1rem;

        .btn-facebook {
            background-color: #3d5c98;
            color: $white;

            text-transform:uppercase;
            letter-spacing: 1px;

            font-size: 1.2rem;
            line-height: 1.5rem;

            border-radius: 0;
        }
    }
}